
-------------------------------------------------------------------------------
-- Optimization
-------------------------------------------------------------------------------

-- GLOBALS: LoggingChat

-------------------------------------------------------------------------------
-- Namespace
-------------------------------------------------------------------------------

local A, B, C, D = unpack(select(2, ...)) -- AddOn, Border, Constants, Database
local M = A:NewModule("Chat Logging")

-------------------------------------------------------------------------------
-- Module
-------------------------------------------------------------------------------

function M.SetChatLogging(state)
	if LoggingChat() ~= state then
		LoggingChat(state)
	end
end

function M:OnEnable()
	self.SetChatLogging(true)
end

function M:OnDisable()
	self.SetChatLogging(false)
end
