
-------------------------------------------------------------------------------
-- Optimization
-------------------------------------------------------------------------------

-- GLOBALS: MenuUtil, MinimapCluster

-------------------------------------------------------------------------------
-- Namespace
-------------------------------------------------------------------------------

local A, B, C, D = unpack(SixUI) -- AddOn, Border, Constants, Database
local M = A:NewModule("Display Tracking")
local O = LibStub("LibDataBroker-1.1"):NewDataObject("SixUI Tracking", {
	type = "launcher",
	text = "",
	label = "Tracking",
	glyph = C.Enum.Glyph.Search,
})

-------------------------------------------------------------------------------
-- DataObject
-------------------------------------------------------------------------------

function O.OnClick(frame, button)
	MenuUtil.CreateContextMenu(frame, MinimapCluster.Tracking.Button.menuGenerator)
end

function O.OnTooltipShow(tooltip)
	tooltip:AddLine(O.label)
end
